Ported variant tests to the new testing framework.

oldstable
Marcus Meissner 2002-03-26 01:54:25 +00:00 committed by Alexandre Julliard
parent c63916b1ce
commit e8d977011b
11 changed files with 2661 additions and 2901 deletions

67
configure vendored
View File

@ -10338,6 +10338,8 @@ ac_config_commands="$ac_config_commands dlls/kernel/messages"
ac_config_commands="$ac_config_commands dlls/kernel/tests"
ac_config_commands="$ac_config_commands dlls/oleaut32/tests"
ac_config_commands="$ac_config_commands dlls/user/dde"
ac_config_commands="$ac_config_commands dlls/user/resources"
@ -10441,7 +10443,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:10444: creating $CONFIG_STATUS" >&5
{ echo "$as_me:10446: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@ -10617,7 +10619,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:10620: error: ambiguous option: $1
{ { echo "$as_me:10622: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@ -10636,7 +10638,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:10639: error: unrecognized option: $1
-*) { { echo "$as_me:10641: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@ -10836,6 +10838,7 @@ do
"dlls/dinput/mouse" ) CONFIG_COMMANDS="$CONFIG_COMMANDS dlls/dinput/mouse" ;;
"dlls/kernel/messages" ) CONFIG_COMMANDS="$CONFIG_COMMANDS dlls/kernel/messages" ;;
"dlls/kernel/tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS dlls/kernel/tests" ;;
"dlls/oleaut32/tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS dlls/oleaut32/tests" ;;
"dlls/user/dde" ) CONFIG_COMMANDS="$CONFIG_COMMANDS dlls/user/dde" ;;
"dlls/user/resources" ) CONFIG_COMMANDS="$CONFIG_COMMANDS dlls/user/resources" ;;
"dlls/user/tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS dlls/user/tests" ;;
@ -10845,7 +10848,7 @@ do
"programs/winetest/tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS programs/winetest/tests" ;;
"include/wine/version.h" ) CONFIG_COMMANDS="$CONFIG_COMMANDS include/wine/version.h" ;;
"include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
*) { { echo "$as_me:10848: error: invalid argument: $ac_config_target" >&5
*) { { echo "$as_me:10851: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@ -11117,7 +11120,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:11120: creating $ac_file" >&5
{ echo "$as_me:11123: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@ -11135,7 +11138,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:11138: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:11141: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -11148,7 +11151,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:11151: error: cannot find input file: $f" >&5
{ { echo "$as_me:11154: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -11209,7 +11212,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:11212: creating $ac_file" >&5
test x"$ac_file" != x- && { echo "$as_me:11215: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@ -11220,7 +11223,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:11223: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:11226: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -11233,7 +11236,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:11236: error: cannot find input file: $f" >&5
{ { echo "$as_me:11239: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -11350,7 +11353,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:11353: $ac_file is unchanged" >&5
{ echo "$as_me:11356: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@ -11401,50 +11404,52 @@ for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
case $ac_dest in
dlls/ddraw/d3ddevice ) test -d "dlls/ddraw/d3ddevice" || ({ echo "$as_me:11404: creating dlls/ddraw/d3ddevice" >&5
dlls/ddraw/d3ddevice ) test -d "dlls/ddraw/d3ddevice" || ({ echo "$as_me:11407: creating dlls/ddraw/d3ddevice" >&5
echo "$as_me: creating dlls/ddraw/d3ddevice" >&6;} && mkdir "dlls/ddraw/d3ddevice") ;;
dlls/ddraw/dclipper ) test -d "dlls/ddraw/dclipper" || ({ echo "$as_me:11406: creating dlls/ddraw/dclipper" >&5
dlls/ddraw/dclipper ) test -d "dlls/ddraw/dclipper" || ({ echo "$as_me:11409: creating dlls/ddraw/dclipper" >&5
echo "$as_me: creating dlls/ddraw/dclipper" >&6;} && mkdir "dlls/ddraw/dclipper") ;;
dlls/ddraw/ddraw ) test -d "dlls/ddraw/ddraw" || ({ echo "$as_me:11408: creating dlls/ddraw/ddraw" >&5
dlls/ddraw/ddraw ) test -d "dlls/ddraw/ddraw" || ({ echo "$as_me:11411: creating dlls/ddraw/ddraw" >&5
echo "$as_me: creating dlls/ddraw/ddraw" >&6;} && mkdir "dlls/ddraw/ddraw") ;;
dlls/ddraw/direct3d ) test -d "dlls/ddraw/direct3d" || ({ echo "$as_me:11410: creating dlls/ddraw/direct3d" >&5
dlls/ddraw/direct3d ) test -d "dlls/ddraw/direct3d" || ({ echo "$as_me:11413: creating dlls/ddraw/direct3d" >&5
echo "$as_me: creating dlls/ddraw/direct3d" >&6;} && mkdir "dlls/ddraw/direct3d") ;;
dlls/ddraw/dpalette ) test -d "dlls/ddraw/dpalette" || ({ echo "$as_me:11412: creating dlls/ddraw/dpalette" >&5
dlls/ddraw/dpalette ) test -d "dlls/ddraw/dpalette" || ({ echo "$as_me:11415: creating dlls/ddraw/dpalette" >&5
echo "$as_me: creating dlls/ddraw/dpalette" >&6;} && mkdir "dlls/ddraw/dpalette") ;;
dlls/ddraw/dsurface ) test -d "dlls/ddraw/dsurface" || ({ echo "$as_me:11414: creating dlls/ddraw/dsurface" >&5
dlls/ddraw/dsurface ) test -d "dlls/ddraw/dsurface" || ({ echo "$as_me:11417: creating dlls/ddraw/dsurface" >&5
echo "$as_me: creating dlls/ddraw/dsurface" >&6;} && mkdir "dlls/ddraw/dsurface") ;;
dlls/dinput/joystick ) test -d "dlls/dinput/joystick" || ({ echo "$as_me:11416: creating dlls/dinput/joystick" >&5
dlls/dinput/joystick ) test -d "dlls/dinput/joystick" || ({ echo "$as_me:11419: creating dlls/dinput/joystick" >&5
echo "$as_me: creating dlls/dinput/joystick" >&6;} && mkdir "dlls/dinput/joystick") ;;
dlls/dinput/keyboard ) test -d "dlls/dinput/keyboard" || ({ echo "$as_me:11418: creating dlls/dinput/keyboard" >&5
dlls/dinput/keyboard ) test -d "dlls/dinput/keyboard" || ({ echo "$as_me:11421: creating dlls/dinput/keyboard" >&5
echo "$as_me: creating dlls/dinput/keyboard" >&6;} && mkdir "dlls/dinput/keyboard") ;;
dlls/dinput/mouse ) test -d "dlls/dinput/mouse" || ({ echo "$as_me:11420: creating dlls/dinput/mouse" >&5
dlls/dinput/mouse ) test -d "dlls/dinput/mouse" || ({ echo "$as_me:11423: creating dlls/dinput/mouse" >&5
echo "$as_me: creating dlls/dinput/mouse" >&6;} && mkdir "dlls/dinput/mouse") ;;
dlls/kernel/messages ) test -d "dlls/kernel/messages" || ({ echo "$as_me:11422: creating dlls/kernel/messages" >&5
dlls/kernel/messages ) test -d "dlls/kernel/messages" || ({ echo "$as_me:11425: creating dlls/kernel/messages" >&5
echo "$as_me: creating dlls/kernel/messages" >&6;} && mkdir "dlls/kernel/messages") ;;
dlls/kernel/tests ) test -d "dlls/kernel/tests" || ({ echo "$as_me:11424: creating dlls/kernel/tests" >&5
dlls/kernel/tests ) test -d "dlls/kernel/tests" || ({ echo "$as_me:11427: creating dlls/kernel/tests" >&5
echo "$as_me: creating dlls/kernel/tests" >&6;} && mkdir "dlls/kernel/tests") ;;
dlls/user/dde ) test -d "dlls/user/dde" || ({ echo "$as_me:11426: creating dlls/user/dde" >&5
dlls/oleaut32/tests ) test -d "dlls/oleaut32/tests" || ({ echo "$as_me:11429: creating dlls/oleaut32/tests" >&5
echo "$as_me: creating dlls/oleaut32/tests" >&6;} && mkdir "dlls/oleaut32/tests") ;;
dlls/user/dde ) test -d "dlls/user/dde" || ({ echo "$as_me:11431: creating dlls/user/dde" >&5
echo "$as_me: creating dlls/user/dde" >&6;} && mkdir "dlls/user/dde") ;;
dlls/user/resources ) test -d "dlls/user/resources" || ({ echo "$as_me:11428: creating dlls/user/resources" >&5
dlls/user/resources ) test -d "dlls/user/resources" || ({ echo "$as_me:11433: creating dlls/user/resources" >&5
echo "$as_me: creating dlls/user/resources" >&6;} && mkdir "dlls/user/resources") ;;
dlls/user/tests ) test -d "dlls/user/tests" || ({ echo "$as_me:11430: creating dlls/user/tests" >&5
dlls/user/tests ) test -d "dlls/user/tests" || ({ echo "$as_me:11435: creating dlls/user/tests" >&5
echo "$as_me: creating dlls/user/tests" >&6;} && mkdir "dlls/user/tests") ;;
dlls/wineps/data ) test -d "dlls/wineps/data" || ({ echo "$as_me:11432: creating dlls/wineps/data" >&5
dlls/wineps/data ) test -d "dlls/wineps/data" || ({ echo "$as_me:11437: creating dlls/wineps/data" >&5
echo "$as_me: creating dlls/wineps/data" >&6;} && mkdir "dlls/wineps/data") ;;
include/wine ) test -d "include/wine" || ({ echo "$as_me:11434: creating include/wine" >&5
include/wine ) test -d "include/wine" || ({ echo "$as_me:11439: creating include/wine" >&5
echo "$as_me: creating include/wine" >&6;} && mkdir "include/wine") ;;
programs/regapi/tests ) test -d "programs/regapi/tests" || ({ echo "$as_me:11436: creating programs/regapi/tests" >&5
programs/regapi/tests ) test -d "programs/regapi/tests" || ({ echo "$as_me:11441: creating programs/regapi/tests" >&5
echo "$as_me: creating programs/regapi/tests" >&6;} && mkdir "programs/regapi/tests") ;;
programs/winetest/tests ) test -d "programs/winetest/tests" || ({ echo "$as_me:11438: creating programs/winetest/tests" >&5
programs/winetest/tests ) test -d "programs/winetest/tests" || ({ echo "$as_me:11443: creating programs/winetest/tests" >&5
echo "$as_me: creating programs/winetest/tests" >&6;} && mkdir "programs/winetest/tests") ;;
include/wine/version.h ) { echo "$as_me:11440: creating include/wine/version.h" >&5
include/wine/version.h ) { echo "$as_me:11445: creating include/wine/version.h" >&5
echo "$as_me: creating include/wine/version.h" >&6;}
cat >$tmp/version.h <<CEOF
/* Generated automatically by configure; DO NOT EDIT! */
#define WINE_RELEASE_INFO "Wine version $wine_version"
CEOF
if cmp -s $tmp/version.h include/wine/version.h 2>/dev/null; then
{ echo "$as_me:11447: include/wine/version.h is unchanged" >&5
{ echo "$as_me:11452: include/wine/version.h is unchanged" >&5
echo "$as_me: include/wine/version.h is unchanged" >&6;}
rm -f $tmp/version.h
else

View File

@ -1257,6 +1257,7 @@ WINE_CONFIG_EXTRA_DIR(dlls/dinput/keyboard)
WINE_CONFIG_EXTRA_DIR(dlls/dinput/mouse)
WINE_CONFIG_EXTRA_DIR(dlls/kernel/messages)
WINE_CONFIG_EXTRA_DIR(dlls/kernel/tests)
WINE_CONFIG_EXTRA_DIR(dlls/oleaut32/tests)
WINE_CONFIG_EXTRA_DIR(dlls/user/dde)
WINE_CONFIG_EXTRA_DIR(dlls/user/resources)
WINE_CONFIG_EXTRA_DIR(dlls/user/tests)

View File

@ -28,6 +28,8 @@ C_SRCS = \
RC_SRCS = \
version.rc
CTESTS = tests/vartest.c
@MAKE_DLL_RULES@
### Dependencies:

View File

@ -0,0 +1,3 @@
oleaut32_test.spec.c
testlist.c
vartest.ok

View File

@ -1,7 +1,8 @@
name vartest
mode guiexe
name oleaut32_tests
mode cuiexe
type win32
import oleaut32.dll
import gdi32.dll
import kernel32.dll
import ntdll.dll

File diff suppressed because it is too large Load Diff

View File

@ -1650,7 +1650,7 @@ static HRESULT WINAPI ValidateVariantType( VARTYPE vt )
( vt & VT_TYPEMASK ) == VT_NULL ||
( vt & VT_TYPEMASK ) > VT_MAXVALIDTYPE )
{
res = E_INVALIDARG;
res = DISP_E_BADVARTYPE;
}
}
@ -1972,8 +1972,8 @@ HRESULT WINAPI VariantCopyInd(VARIANT* pvargDest, VARIANTARG* pvargSrc)
break;
}
}
V_VT(pvargDest) = V_VT(pvargSrc) & VT_TYPEMASK;
if (res == S_OK) V_VT(pvargDest) = V_VT(pvargSrc) & VT_TYPEMASK;
}
}

View File

@ -5,7 +5,7 @@ TOPOBJDIR = ..
SRCDIR = @srcdir@
VPATH = @srcdir@
MODULE = none
PROGRAMS = expand hello hello2 hello3 hello4 hello5 new rolex vartest volinfo
PROGRAMS = expand hello hello2 hello3 hello4 hello5 new rolex volinfo
ALL_LIBS = $(LIBWINE) $(LIBS)
C_SRCS = \
@ -17,7 +17,6 @@ C_SRCS = \
hello5.c \
new.c \
rolex.c \
vartest.c \
volinfo.c
SPEC_SRCS = \
@ -29,7 +28,6 @@ SPEC_SRCS = \
hello5.spec \
new.spec \
rolex.spec \
vartest.spec \
volinfo.spec
RC_SRCS = \
@ -79,11 +77,6 @@ rolex.spec.c: rolex.spec rolex.o $(WINEBUILD)
rolex.so: rolex.o rolex.spec.o
$(LDSHARED) $(LDDLLFLAGS) -o rolex.so $+ $(ALL_LIBS)
vartest.spec.c: vartest.spec vartest.o $(WINEBUILD)
$(LDPATH) $(WINEBUILD) @DLLFLAGS@ -L $(DLLDIR) -sym vartest.o -o vartest.spec.c -spec vartest.spec
vartest.so: vartest.o vartest.spec.o
$(LDSHARED) $(LDDLLFLAGS) -o vartest.so $+ $(ALL_LIBS)
volinfo.spec.c: volinfo.spec volinfo.o $(WINEBUILD)
$(LDPATH) $(WINEBUILD) @DLLFLAGS@ -L $(DLLDIR) -sym volinfo.o -o volinfo.spec.c -spec volinfo.spec
volinfo.so: volinfo.o volinfo.spec.o

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -1,21 +0,0 @@
The purpose of this program is validate the implementation
of the APIs related to VARIANTs. The validation is done
by comparing the results given by the Windows implementation
versus the Wine implementation.
This program tests the creation/coercion/destruction of VARIANTs.
This program was built in both Windows and Wine and the purpose
of this program is to compare the output produced in both
environments. To facilitate that, the log of the output created
by the windows version of this program was added to CVS.
If you modify this program, it might be wise to rebuild it in
Windows, regenerate that output file and resubmit it to CVS.
The output of the programs differ slightly from the one generated
in Windows but most of the differences are caused by differences
in the way that printf interprets some escape sequences and the way
floating point numbers are printed. See the notes in vartest.c for
more information.